Kerbal Space Program - Bug #4831

Incorrect knowledge base info when docking with rescued craft
04/30/2015 02:53 AM - fibonatic

Status: Closed Start date: 04/30/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When doing a rescue mission in career mode and instead of transferring the crew to the rescue craft, dock with it using the claw,
then the info on the side of the screen (knowledge base) in map mode does not show stats of the docked craft correctly. What | was
expecting was that | would be able to see craft info like mass, part count, ect. but what | see is the info you see when you are only
tracking the craft. The same info is visible in the tracking station, which also means that | can't switch to the craft from the tracking
station.

| have not tested this a lot, but it does not appear to happen with every craft. In this case it happened when the Kerbal was inside a
Hitchhiker Storage Container, but is did not happen to a craft of a mk1 Inline Cockpit (maybe it only happens to a craft which is not a
command pod).

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
